Package com.google.protobuf

## Interface ByteString.ByteIterator

All Superinterfaces:
  `java.util.Iterator<java.lang.Byte>`

Enclosing class:
  ByteString

    public static interface ByteString.ByteIterator
    extends java.util.Iterator<java.lang.Byte>

This interface extends `Iterator<Byte>`, so that we can return an unboxed `byte`.

### Method Summary

All Methods Instance Methods Abstract Methods
`byte` `nextByte()` An alternative to `Iterator.next()` that returns an unboxed primitive `byte`.

### Methods inherited from interface java.util.Iterator

`forEachRemaining, hasNext, next, remove`

### Method Detail

#### nextByte

    byte nextByte()

An alternative to `Iterator.next()` that returns an unboxed primitive `byte`.

Returns:
  the next `byte` in the iteration
Throws:
  `java.util.NoSuchElementException` - if the iteration has no more elements